Message: Re: GEANT4 10.2 patch 01 crashes with Qt Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

More Re: GEANT4 10.2 patch 01 crashes with Qt 

Forum: (Graphical) User Interfaces
Re: Question GEANT4 10.2 patch 01 crashes with Qt (Delaune Olivier)
Date: 13 Sep, 2017
From: Stefan E. Mueller <Stefan E. Mueller>

I can confirm that the problem still exists for geant4.10.03p02. If I compile with BUILD_TYPE="Debug", and building and running my application, I get a crash:

Available UI session types: [ Qt, GAG, tcsh, csh ]
ERROR: 8 - Floating point invalid operation.

Call Stack:
20: /software/geant4.10.03.p02/lib/libG4run.so
19: /software/geant4.10.03.p02/lib/libG4run.so
18: /lib/x86_64-linux-gnu/libpthread.so.0
17: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : qIsFinite(double)
16: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
15: /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
14: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
13: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
12: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
11: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
10: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
9: /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5 : QTextDocument::setHtml(QString const&)
8: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
7: /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5 : QTextEdit::setHtml(QString const&)
6: /software/geant4.10.03.p02/lib/libG4interfaces.so : G4UIQt::SetStartPage(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)
5: /software/geant4.10.03.p02/lib/libG4interfaces.so : G4UIQt::CreateViewerWidget()
4: /software/geant4.10.03.p02/lib/libG4interfaces.so : G4UIQt::G4UIQt(int, char**)
3: /software/geant4.10.03.p02/lib/libG4interfaces.so : G4UIExecutive::G4UIExecutive(int, char**, G4String const&)
2: ./mu_benchmark
1: /lib/x86_64-linux-gnu/libc.so.6
0: ./mu_benchmark
Aborted

If I build geant4.10.03p02 with BUILD_TYPE="Release", I get the Qt graphical user interface opens, and everything seems to work.

This is my configuration:

geant4.10.03p02
gcc (Debian 7.2.0-4) 7.2.0

Distribution:
Distributor ID: Debian
Description: Debian GNU/Linux 9.1 (stretch)
Release: 9.1
Codename: stretch

Qt version 5.9.1

I wonder if this has something to do with missing debug packages in Debian
(https://askubuntu.com/questions/904451/what-happened-to-the-qtbase5-dbg-package-in-zesty)?

Cheers,

 Stefan

 Add Message Add Message
to: "Re: GEANT4 10.2 patch 01 crashes with Qt"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]